local _,stash = ...
local L = stash.localization
local C = stash.constants
local settings = stash.settings
stash.confirmPanel = stash.frame.confirmPanel

function stash.confirmPanel:Setup()
    self.Top.Title:SetText(L["Are you sure?"])
    self.Bottom.BackButton.Text:SetText(NO)
end

function stash.confirmPanel:Update()
    local text = L["Are you sure you want reset the stash of %s%s\124r from %s%s\124r?\n\nStash will wipe all its information for this character until you next log them in."]
    -- if resetting currently-logged-in character, a reload is required
    if self.character==stash.current.player and self.realm==stash.current.realm then
        text = text..format(L["\n\n%sA reset of this character requires a reload."],C.HEX_RED)
        self.Bottom.AcceptButton.Text:SetText(format(L["Yes %s(Reload)"],C.HEX_GREY))
        self.requireReload = true
    else
        self.Bottom.AcceptButton.Text:SetText(YES)
        self.requireReload = false
    end
    self.Content.Text:SetText(format(text,C.HEX_WHITE,self.character,C.HEX_WHITE,self.realm))
    self.Bottom:SetPoint("BOTTOMRIGHT",settings.LockWindow and 0 or -24, 0)
end

-- when hitting settings toggle or answering a reset confirmation, close confirmPanel and return to settingsPanel
function stash.confirmPanel:ReturnToSettings()
    stash.tooltips:Pause()
    stash.confirmPanel:Hide()
    stash.settingsPanel:Show()
end

-- click of Yes button to reset a character
function stash.confirmPanel:AcceptButtonOnClick()

    local saved = StashSaved
    local realm = self.realm
    local character = self.character

    if saved[realm] and saved[realm][character] then
        saved[realm][character] = nil
    end
    if not next(saved[realm]) then
        saved[realm] = nil
    end
    stash.info:ResetEncounteredLocations()
    if realm==GetRealmName() and character==GetUnitName("player") then
        ReloadUI()
    end
    stash.confirmPanel:ReturnToSettings()
end

